package com.izouma.awesomeadmin.model;

import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TestBbb{
    private Integer id;
    private String delFlag;
    private String nameAaa;
    private String nameBbb;
    private String nameCcc;
    private String nameDdd;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public String getNameAaa(){
        return this.nameAaa;
    }

    public void setNameAaa(String nameAaa){
        this.nameAaa = nameAaa;
    }
    public String getNameBbb(){
        return this.nameBbb;
    }

    public void setNameBbb(String nameBbb){
        this.nameBbb = nameBbb;
    }
    public String getNameCcc(){
        return this.nameCcc;
    }

    public void setNameCcc(String nameCcc){
        this.nameCcc = nameCcc;
    }
    public String getNameDdd(){
        return this.nameDdd;
    }

    public void setNameDdd(String nameDdd){
        this.nameDdd = nameDdd;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

}

